Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Build.DockerBuild Class Referencesealed
Inheritance diagram for Zwipe.Build.Build.DockerBuild:
[legend]
Collaboration diagram for Zwipe.Build.Build.DockerBuild:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
string | Properties = string.Empty`[get, set]`
bool | UseSudo = false`[get, set]`
ITaskItem[] | Projects`[get, set]`

## Private Member Functions
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)
IEnumerable< string > | GetTags (ITaskItem item)
IEnumerable< string > | GetProperties (ITaskItem item)
IEnumerable< KeyValuePair< string, string > > | GetFiles (ITaskItem item)
string | FormatProperties (IEnumerable< string > properties)
string | FormatTags (IEnumerable< string > tags)
bool | Build (string fileName, string arguments)

## Static Private Member Functions
static string | PrepareContext (string originalContext, IEnumerable< KeyValuePair< string, string > > files)

## Static Private Attributes
const string | SudoExecutable = "sudo"
const string | Dockerfile = "Dockerfile"
const string | Dockerignore = ".dockerignore"
const char | Separator = ';'
const string | FileSeparator = "-/-"
const string | ProjectItemTagsTag = "Tags"
const string | ProjectItemFilesTag = "Files"
const string | ProjectItemPropertiesTag = "Properties"

## Member Function Documentation

## ◆ Build()

bool Zwipe.Build.Build.DockerBuild.Build | ( | string | fileName,
|  | string | arguments )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Execute()

override bool Zwipe.Build.Build.DockerBuild.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ FormatProperties()

string Zwipe.Build.Build.DockerBuild.FormatProperties | ( | IEnumerable< string > | properties | ) |
| private

## ◆ FormatTags()

string Zwipe.Build.Build.DockerBuild.FormatTags | ( | IEnumerable< string > | tags | ) |
| private

## ◆ GetFiles()

IEnumerable< KeyValuePair< string, string > > Zwipe.Build.Build.DockerBuild.GetFiles | ( | ITaskItem | item | ) |
| private

Here is the caller graph for this function:

## ◆ GetProperties()

IEnumerable< string > Zwipe.Build.Build.DockerBuild.GetProperties | ( | ITaskItem | item | ) |
| private

## ◆ GetTags()

IEnumerable< string > Zwipe.Build.Build.DockerBuild.GetTags | ( | ITaskItem | item | ) |
| private

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Build.DockerBuild.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Build.DockerBuild.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ PrepareContext()

string Zwipe.Build.Build.DockerBuild.PrepareContext | ( | string | originalContext,
|  | IEnumerable< KeyValuePair< string, string > > | files )
| static private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ Dockerfile

const string Zwipe.Build.Build.DockerBuild.Dockerfile = "Dockerfile"
| static private

## ◆ Dockerignore

const string Zwipe.Build.Build.DockerBuild.Dockerignore = ".dockerignore"
| static private

## ◆ FileSeparator

const string Zwipe.Build.Build.DockerBuild.FileSeparator = "-/-"
| static private

## ◆ ProjectItemFilesTag

const string Zwipe.Build.Build.DockerBuild.ProjectItemFilesTag = "Files"
| static private

## ◆ ProjectItemPropertiesTag

const string Zwipe.Build.Build.DockerBuild.ProjectItemPropertiesTag = "Properties"
| static private

## ◆ ProjectItemTagsTag

const string Zwipe.Build.Build.DockerBuild.ProjectItemTagsTag = "Tags"
| static private

## ◆ Separator

const char Zwipe.Build.Build.DockerBuild.Separator = ';'
| static private

## ◆ SudoExecutable

const string Zwipe.Build.Build.DockerBuild.SudoExecutable = "sudo"
| static private

## Property Documentation

## ◆ Executable

string Zwipe.Build.Build.DockerBuild.Executable
| get set

## ◆ Projects

ITaskItem [] Zwipe.Build.Build.DockerBuild.Projects
| get set

## ◆ Properties

string Zwipe.Build.Build.DockerBuild.Properties = string.Empty
| get set

## ◆ UseSudo

bool Zwipe.Build.Build.DockerBuild.UseSudo = false
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Build/DockerBuild.cs